package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 *  螺纹检验自检记录实体类
 * @author Administrator
 *
 */
@SuppressWarnings("serial")
public class ThreadInspectSelfCheck implements Serializable{
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 产线代码
     */
    private String plineCode;
    /**
     * 作业工单号
     */
    private String zyPlanId;
    /**
     * 接箍编号
     */
    private String couplingNo;
    /**
     * 锥度
     */
    private String taper;
    /**
     * 螺距
     */
    private String lead;
    /**
     * 齿高
     */
    private String height;
    /**
     * 紧密距
     */
    private String pdiameterOvality;
    /**
     * L4/断扣
     */
    private String brokenthread;
    /**
     * AL
     */
    private String al;
    /**
     * 尾扣
     */
    private String runOut;
    /**
     * 倒角
     */
    private String chamfer;
    /**
     * 判定
     */
    private String result;
    /**
     * 牙型
     */
    private String threadform;

    private String woId;
    
    private String ifAllOutWork;
    
    private String offNum;
    
    public String getIfAllOutWork() {
		return ifAllOutWork;
	}

	public void setIfAllOutWork(String ifAllOutWork) {
		this.ifAllOutWork = ifAllOutWork;
	}

	public String getOffNum() {
		return offNum;
	}

	public void setOffNum(String offNum) {
		this.offNum = offNum;
	}

	public String getWoId() {
        return woId;
    }

    public void setWoId(String woId) {
        this.woId = woId;
    }

    public ThreadInspectSelfCheck(){
        resultNo = "";
        plineCode = "";
        zyPlanId = "";
        couplingNo = "";
        taper = "";
        lead = "";
        height = "";
        pdiameterOvality = "";
        brokenthread = "";
        al = "";
        runOut = "";
        chamfer = "";
        result = "";
        threadform = "";
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 作业工单号
     * @return value
     */
    public String getZyPlanId() {
        return zyPlanId;
    }

    /**
     * 作业工单号
     * @param zyPlanId value
     */
    public void setZyPlanId(String zyPlanId) {
        this.zyPlanId = zyPlanId;
    }

    /**
     * 接箍编号
     * @return value
     */
    public String getCouplingNo() {
        return couplingNo;
    }

    /**
     * 接箍编号
     * @param couplingNo value
     */
    public void setCouplingNo(String couplingNo) {
        this.couplingNo = couplingNo;
    }

    /**
     * 锥度
     * @return value
     */
    public String getTaper() {
        return taper;
    }

    /**
     * 锥度
     * @param taper value
     */
    public void setTaper(String taper) {
        this.taper = taper;
    }

    /**
     * 螺距
     * @return value
     */
    public String getLead() {
        return lead;
    }

    /**
     * 螺距
     * @param lead value
     */
    public void setLead(String lead) {
        this.lead = lead;
    }

    /**
     * 齿高
     * @return value
     */
    public String getHeight() {
        return height;
    }

    /**
     * 齿高
     * @param height value
     */
    public void setHeight(String height) {
        this.height = height;
    }

    /**
     * 紧密距
     * @return value
     */
    public String getPdiameterOvality() {
        return pdiameterOvality;
    }

    /**
     * 紧密距
     * @param pdiameterOvality value
     */
    public void setPdiameterOvality(String pdiameterOvality) {
        this.pdiameterOvality = pdiameterOvality;
    }

    /**
     * L4/断扣
     * @return value
     */
    public String getBrokenthread() {
        return brokenthread;
    }

    /**
     * L4/断扣
     * @param brokenthread value
     */
    public void setBrokenthread(String brokenthread) {
        this.brokenthread = brokenthread;
    }

    /**
     * AL
     * @return value
     */
    public String getAl() {
        return al;
    }

    /**
     * AL
     * @param al value
     */
    public void setAl(String al) {
        this.al = al;
    }

    /**
     * 尾扣
     * @return value
     */
    public String getRunOut() {
        return runOut;
    }

    /**
     * 尾扣
     * @param runOut value
     */
    public void setRunOut(String runOut) {
        this.runOut = runOut;
    }

    /**
     * 倒角
     * @return value
     */
    public String getChamfer() {
        return chamfer;
    }

    /**
     * 倒角
     * @param chamfer value
     */
    public void setChamfer(String chamfer) {
        this.chamfer = chamfer;
    }

    /**
     * 判定
     * @return value
     */
    public String getResult() {
        return result;
    }

    /**
     * 判定
     * @param result value
     */
    public void setResult(String result) {
        this.result = result;
    }

    /**
     * 牙型
     * @return value
     */
    public String getThreadform() {
        return threadform;
    }

    /**
     * 牙型
     * @param threadform value
     */
    public void setThreadform(String threadform) {
        this.threadform = threadform;
    }
}
